#
# Say "make smalltalk" to get ST src files target
# Say "make now" to get dynamic lib target
#
# See STP changes below
#
# Makefile.in generated by automake 1.9.2 from Makefile.am.
# scripting/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

# Copyright (C) 1999-2004, Kelly Fitz and Lippold Haken <loris@cerlsoundgroup.org>
#  
# This file is free software; as a special exception the author gives
# unlimited permission to copy and/or distribute it, with or without 
# modifications, as long as this notice is preserved.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY, to the extent permitted by law; without even the
# implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SOURCES = $(_loris_la_SOURCES)

srcdir = .
top_srcdir = ..

pkgdatadir = $(datadir)/loris
pkglibdir = $(libdir)/loris
pkgincludedir = $(includedir)/loris
top_builddir = ..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-apple-darwin8.8.1
host_triplet = i686-apple-darwin8.8.1
subdir = scripting
DIST_COMMON = README $(am__pyexec_PYTHON_DIST) $(srcdir)/Makefile.am \
	$(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
am__installdirs = "$(DESTDIR)$(pythonsitepkgdir)" \
	"$(DESTDIR)$(pyexecdir)"
pythonsitepkgLTLIBRARIES_INSTALL = $(INSTALL)
LTLIBRARIES = $(pythonsitepkg_LTLIBRARIES)
_loris_la_DEPENDENCIES =  \
	$(top_builddir)/src/libloris.la
am___loris_la_SOURCES_DIST = loris_python_wrap.C
am__objects_1 = _loris_la-loris_python_wrap.lo
am__loris_la_OBJECTS = $(am__objects_1)
_loris_la_OBJECTS = $(am__loris_la_OBJECTS)
am__loris_la_rpath = -rpath $(pythonsitepkgdir)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/config/depcomp
am__depfiles_maybe = depfiles
CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --mode=compile --tag=CXX $(CXX) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --mode=link --tag=CXX $(CXXLD) $(AM_CXXFLAGS) \
	$(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(_loris_la_SOURCES)
DIST_SOURCES = $(am___loris_la_SOURCES_DIST)
am__pyexec_PYTHON_DIST = loris.py
pyexecPYTHON_INSTALL = $(INSTALL_DATA)
py_compile = $(top_srcdir)/config/py-compile
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /Users/stp/Code/loris-1.4/config/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /Users/stp/Code/loris-1.4/config/missing --run tar
AR = ar
AUTOCONF = ${SHELL} /Users/stp/Code/loris-1.4/config/missing --run autoconf
AUTOHEADER = ${SHELL} /Users/stp/Code/loris-1.4/config/missing --run autoheader
AUTOMAKE = ${SHELL} /Users/stp/Code/loris-1.4/config/missing --run automake-1.9
AWK = awk
BUILD_PYTHON_FALSE = #
BUILD_PYTHON_TRUE = 
CC = gcc
CCDEPMODE = depmode=gcc3
# CFLAGS = -g -O2			# STP
CFLAGS = -g -O2 -fno-common -dynamic
CPP = gcc -E
CPPFLAGS = 
CSOUND_CONFIG = 
CSOUND_CXXFLAGS = 
CSOUND_LDFLAGS = 
CSOUND_LIBS = 
CSOUND_PREFIX = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=gcc3
CXXFLAGS = -g -O2
CYGPATH_W = echo
DARWIN_FALSE = #
DARWIN_TRUE = 
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DOXYGEN = /usr/local/bin/doxygen
ECHO = echo
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
F77 = 
FFLAGS = 
HAVE_CSOUND_FALSE = 
HAVE_CSOUND_TRUE = #
HAVE_DOXYGEN_FALSE = #
HAVE_DOXYGEN_TRUE = 
HAVE_SWIG_FALSE = #
HAVE_SWIG_TRUE = 
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LDFLAGS =  -dynamic -bundle -flat_namespace -bind_at_load \
	-bundle_loader /Users/stp/Code/Smalltalk/visual_Mac86.app/Contents/MacOS/visual \
	-undefined suppress -lgcc  -L/usr/local/lib
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LINK_FFTW = -lfftw3
LN_S = ln -s
LORIS_MAJOR_VERSION = 1
LORIS_MINOR_VERSION = 4
LORIS_SUBMINOR_VERSION = 0
LORIS_VERSION_STR = Loris 1.4
LTLIBOBJS = 
MAKEINFO = ${SHELL} /Users/stp/Code/loris-1.4/config/missing --run makeinfo
OBJEXT = o
PACKAGE = loris
PACKAGE_BUGREPORT = loris@cerlsoundgroup.org
PACKAGE_NAME = Loris
PACKAGE_STRING = Loris 1.4
PACKAGE_TARNAME = loris
PACKAGE_VERSION = 1.4
PATH_SEPARATOR = :
PYFLAGS = -I/usr/include/python2.3
PYTHON = /usr/bin/python
PYTHON_EXEC_PREFIX = ${exec_prefix}
PYTHON_PLATFORM = darwin
PYTHON_PREFIX = ${prefix}
PYTHON_VERSION = 2.3
RANLIB = ranlib
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
SWIG = /usr/local/bin/swig
VERSION = 1.4
ac_aux_dir = config
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_F77 = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
am__fastdepCC_FALSE = #
am__fastdepCC_TRUE = 
am__fastdepCXX_FALSE = #
am__fastdepCXX_TRUE = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-apple-darwin8.8.1
build_alias = 
build_cpu = i686
build_os = darwin8.8.1
build_vendor = apple
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-apple-darwin8.8.1
host_alias = 
host_cpu = i686
host_os = darwin8.8.1
host_vendor = apple
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /Users/stp/Code/loris-1.4/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
mandir = ${prefix}/man
mkdir_p = $(install_sh) -d
oldincludedir = /usr/include
pkgpyexecdir = ${pyexecdir}/loris
pkgpythondir = ${pythondir}/loris
prefix = /usr/local
program_transform_name = s,x,x,
pyexecdir = ${exec_prefix}/lib/python2.3/site-packages
pythondir = ${prefix}/lib/python2.3/site-packages
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target_alias = 
EXTRA_DIST = loris.py loris.i lorisPartialList.i 
CLEANFILES = loris.pyo loris.pyc $(PYTHON_CMODULE)
MAINTAINERCLEANFILES = Makefile.in
PYTHON_WRAPPER = loris_python_wrap.C

#----------------------------------------------------------------
# If Python is available, define a target for building and
# installing the Python module
#
pythonsitepkgdir = $(pyexecdir)
pyexec_PYTHON = loris.py
pythonsitepkg_LTLIBRARIES = _loris.la
_loris_la_SOURCES = $(PYTHON_WRAPPER)
_loris_la_CXXFLAGS = -I$(top_srcdir)/src $(PYFLAGS) 
_loris_la_LIBADD = $(top_builddir)/src/libloris.la 
_loris_la_LDFLAGS = -module -avoid-version 

#----------------------------------------------------------------
# Define a target for building the
# wrapper from swig interface files.
#
SWIG_INTERFACE = loris.i
all: all-am

#
#####################################################
#
# STP changes
#
# Edit your path names in here
#
LORIS_BASE = /Users/stp/Code/loris-1.4

# Where's your VM binary

VW_EXEC = ../../visual_Mac86.app/Contents/MacOS/visual

# Tune these flags to your compiler and verbosity level (-DDEBUG = verbose)
# These are specific to Mac OS X

CFLAGS = -I$(LORIS_BASE)/src -I/usr/local/include -I. -O2 -g -fno-common -dynamic \
	-DPIC -DHAVE_CONFIG_H

GCC = gcc

LINKOPTS = -dynamic -bundle -flat_namespace -bind_at_load -undefined suppress \
	-L/usr/local/lib -lgcc -bundle_loader $(VW_EXEC)

# Target now

now:			
	gcc -c loris_python_wrap.C $(CFLAGS)
	gcc  loris_python_wrap.o -o loris_smalltalk.dylib $(LINKOPTS) -lloris

# end STP

.SUFFIXES:
.SUFFIXES: .C .lo .o .obj

uninstall-pythonsitepkgLTLIBRARIES:
	@$(NORMAL_UNINSTALL)
	@set -x; list='$(pythonsitepkg_LTLIBRARIES)'; for p in $$list; do \
	  p=$(am__strip_dir) \
	  echo " $(LIBTOOL) --mode=uninstall rm -f '$(DESTDIR)$(pythonsitepkgdir)/$$p'"; \
	  $(LIBTOOL) --mode=uninstall rm -f "$(DESTDIR)$(pythonsitepkgdir)/$$p"; \
	done

clean-pythonsitepkgLTLIBRARIES:
	-test -z "$(pythonsitepkg_LTLIBRARIES)" || rm -f $(pythonsitepkg_LTLIBRARIES)
	@list='$(pythonsitepkg_LTLIBRARIES)'; for p in $$list; do \
	  dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
	  test "$$dir" != "$$p" || dir=.; \
	  echo "rm -f \"$${dir}/so_locations\""; \
	  rm -f "$${dir}/so_locations"; \
	done
_loris.la: $(_loris_la_OBJECTS) $(_loris_la_DEPENDENCIES) 
	$(CXXLINK) $(am__loris_la_rpath) $(_loris_la_LDFLAGS) $(_loris_la_OBJECTS) $(_loris_la_LIBADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

include ./$(DEPDIR)/_loris_la-loris_python_wrap.Plo

.C.o:
	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ $<

.C.obj:
	if $(CXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=no \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`

.C.lo:
	if $(LTCXXCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
#	source='$<' object='$@' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(LTCXXCOMPILE) -c -o $@ $<

_loris_la-loris_python_wrap.lo: loris_python_wrap.C
	if $(LIBTOOL) --mode=compile --tag=CXX $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(_loris_la_CXXFLAGS) $(CXXFLAGS) -MT _loris_la-loris_python_wrap.lo -MD -MP -MF "$(DEPDIR)/_loris_la-loris_python_wrap.Tpo" -c -o _loris_la-loris_python_wrap.lo `test -f 'loris_python_wrap.C' || echo '$(srcdir)/'`loris_python_wrap.C; \
	then mv -f "$(DEPDIR)/_loris_la-loris_python_wrap.Tpo" "$(DEPDIR)/_loris_la-loris_python_wrap.Plo"; else rm -f "$(DEPDIR)/_loris_la-loris_python_wrap.Tpo"; exit 1; fi
#	source='loris_python_wrap.C' object='_loris_la-loris_python_wrap.lo' libtool=yes \
#	DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) \
#	$(LIBTOOL) --mode=compile --tag=CXX $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(_loris_la_CXXFLAGS) $(CXXFLAGS) -c -o _loris_la-loris_python_wrap.lo `test -f 'loris_python_wrap.C' || echo '$(srcdir)/'`loris_python_wrap.C

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
install-pyexecPYTHON: $(pyexec_PYTHON)
	@$(NORMAL_INSTALL)
	test -z "$(pyexecdir)" || $(mkdir_p) "$(DESTDIR)$(pyexecdir)"
	@list='$(pyexec_PYTHON)'; dlist=''; for p in $$list; do\
	  if test -f "$$p"; then b=; else b="$(srcdir)/"; fi; \
	  if test -f $$b$$p; then \
	    f=$(am__strip_dir) \
	    dlist="$$dlist $$f"; \
	    echo " $(pyexecPYTHON_INSTALL) '$$b$$p' '$(DESTDIR)$(pyexecdir)/$$f'"; \
	    $(pyexecPYTHON_INSTALL) "$$b$$p" "$(DESTDIR)$(pyexecdir)/$$f"; \
	  else :; fi; \
	done; \
	test -z "$$dlist" || \
	PYTHON=$(PYTHON) $(py_compile) --basedir "$(DESTDIR)$(pyexecdir)" $$dlist

uninstall-pyexecPYTHON:
	@$(NORMAL_UNINSTALL)
	@list='$(pyexec_PYTHON)'; dlist=''; for p in $$list; do\
	  f=$(am__strip_dir) \
	  rm -f "$(DESTDIR)$(pyexecdir)/$$f"; \
	  rm -f "$(DESTDIR)$(pyexecdir)/$${f}c"; \
	  rm -f "$(DESTDIR)$(pyexecdir)/$${f}o"; \
	done

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags

distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(LTLIBRARIES)
installdirs:
	for dir in "$(DESTDIR)$(pythonsitepkgdir)" "$(DESTDIR)$(pyexecdir)"; do \
	  test -z "$$dir" || $(mkdir_p) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
	-test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
clean: clean-am

clean-am: clean-generic clean-libtool clean-pythonsitepkgLTLIBRARIES \
	mostlyclean-am

distclean: distclean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
distclean-am: clean-am distclean-compile distclean-generic \
	distclean-libtool distclean-tags

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am: install-pythonsitepkgLTLIBRARIES

install-exec-am: install-pyexecPYTHON

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -rf ./$(DEPDIR)
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-compile mostlyclean-generic \
	mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am uninstall-pyexecPYTHON \
	uninstall-pythonsitepkgLTLIBRARIES

.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
	clean-libtool clean-pythonsitepkgLTLIBRARIES ctags distclean \
	distclean-compile distclean-generic distclean-libtool \
	distclean-tags distdir dvi dvi-am html html-am info info-am \
	install install-am install-data install-data-am install-exec \
	install-exec-am install-info install-info-am install-man \
	install-pyexecPYTHON install-pythonsitepkgLTLIBRARIES \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
	pdf pdf-am ps ps-am tags uninstall uninstall-am \
	uninstall-info-am uninstall-pyexecPYTHON \
	uninstall-pythonsitepkgLTLIBRARIES

   # $(EXTRA_LD_FLAGS)
   # what was this for?

wrapper: $(PYTHON_WRAPPER)

smalltalk: loris.i lorisPartialList.i			# STP
	$(SWIG) -smalltalk -c++ -module loris -o $(PYTHON_WRAPPER) $(SWIG_INTERFACE)

$(PYTHON_WRAPPER): loris.i lorisPartialList.i
	$(SWIG) -python -c++ -module loris -o $(PYTHON_WRAPPER) $(SWIG_INTERFACE)
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
